% diffuse.m
%
% Demonstrate diffusion filtering.
%
% Nick Kingsbury, Cambridge University, 2006.

% a = 0.2;
% b = a; h = [a; 1-a-b; b];
h = gaussian(b);

N = 21;
x = zeros(N,1) + eps;
x((N+1)/2) = 1;
% x = cumsum(x);
% x = colfilter(x,gaussian(1));
iter = 0;
figure;
while 1
    if iter > 0,
        x = colfilter(x,h);
    end
    bar(x);
    axis([0 N+1 -0.5 1]);
    title(sprintf('Iteration %d',iter),'Fontsize',14);
    pause
    iter = iter + 1;
end
